scala.tools.nsc.transform.patmat.ScalaLogic.TreesAndTypesDomain

# NullConst

#### object NullConst extends Const with Product with Serializable

Definition Classes
  TreesAndTypesDomain → PropositionalLogic
Source
  Logic.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Const, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NullConst
2. Serializable
3. Serializable
4. Product
5. Equals
6. Const
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def isAny: Boolean

    Definition Classes
      Const

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def isValue: Boolean

    Definition Classes
      NullConst → Const

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      NullConst → AnyRef → Any

18. #### def tp: Global.UniqueConstantType

    Definition Classes
      NullConst → Const

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### def wideTp: Global.UniqueConstantType

    Definition Classes
      NullConst → Const

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Const

### Inherited from AnyRef

### Inherited from Any

### Ungrouped